/********************************************************************
 *         This example code is from the book:
 *
 *           Motif Debuggin and Performance Tuning
 *            ISBN 0-13-147984-9
 *         by
 *           Douglas Young
 *           Prentice Hall, 1995
 *
 *         Copyright 1994 by Prentice Hall
 *         All Rights Reserved
 *
 *  Permission to use, copy, modify, and distribute this software for 
 *  any purpose except publication and without fee is hereby granted, provided 
 *  that the above copyright notice appear in all copies of the software.
 * *****************************************************************************/

/**************************************************
 * UnmanagedTest.c: Report all unmanaged widgets.
 **************************************************/
#include <X11/Intrinsic.h>
#include <stdio.h>
#include "wlintP.h"

static int count;

void UnmanagedTest ( Widget w, ActionType action )
{
    if ( action == INIT )
    {
        count = 0;
        return;
    }

    if ( action == POSTOP ) /* Last time */
    {
        if ( count )
            fprintf ( stderr, 
                      "Number of unmanaged widgets = %d\n",
                      count );
        return;
    }
    
   /*
    * Shells are never managed, so only look at non-shells.
    */

    if ( !XtIsManaged ( w ) && !XtIsShell ( w ) )
    {
        fprintf ( stderr, "%s is unmanaged\n", XtName ( w ) );
        count++;
    }
}

